aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/dmp7
-rw-r--r--man/man1/dmp.1df8
2 files changed, 3 insertions, 12 deletions
diff --git a/bin/dmp b/bin/dmp
index fabb61a2..2c412081 100755
--- a/bin/dmp
+++ b/bin/dmp
@@ -1,8 +1,5 @@
#!/bin/sh
-# Sole optional argument is the password timeout (defaults to 10 seconds)
-timeout_sec=${1:-10}
-
# Get the password store directory, bail if we can't
pwsd=${PASSWORD_STORE_DIR:-$HOME/.password-store}
pwsd=${pwsd%/}
@@ -25,8 +22,8 @@ pw=$(
# Bail if we don't have a password
[ -n "$pw" ] || exit
-# Pump the password into the clipboard xsel(2); allow 10 seconds
-pass show "$pw" | xsel -ibt "$((timeout_sec * 1000))" || exit
+# Pump the first line of the password into the clipboard
+pass show "$pw" | sed 1q | xsel -ib || exit
# If we have notify-send(1), alert that the password has been copied
if command -v notify-send >/dev/null >&2 ; then
diff --git a/man/man1/dmp.1df b/man/man1/dmp.1df
index b9f11bf8..d663e3d0 100644
--- a/man/man1/dmp.1df
+++ b/man/man1/dmp.1df
@@ -4,19 +4,13 @@
\- pick a pass(1) password with dmenu(1)
.SH SYNOPSIS
.B dmp
-.br
-.B dmp
-25
.SH DESCRIPTION
.B dmp
applies dmenu(1) to pick a password entry from a pass(1) store and put it into
-the X CLIPBOARD for a period of time, defaulting to 10 seconds, after which
-xsel(1) will remove it from the clipboard.
+the X CLIPBOARD for a period of time.
.P
If notify-send(1) is installed, a notification with the default priority will
be written when the password is successfully clipped.
-.P
-The timeout in seconds can be specified as an optional argument.
.SH SEE ALSO
dmenu(1), notify-send(1), pass(1), xsel(1)
.SH AUTHOR